# Uses of Interface
org.springframework.context.annotation.DeferredImportSelector

Packages that use DeferredImportSelector
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of DeferredImportSelector in org.springframework.context.annotation

Methods in org.springframework.context.annotation with parameters of type DeferredImportSelector
Modifier and Type
Method
Description
`void`
DeferredImportSelector.Group.`process(org.springframework.core.type.AnnotationMetadata metadata, DeferredImportSelector selector)`
Process the `AnnotationMetadata` of the importing @`Configuration` class using the specified `DeferredImportSelector`.